import 'package:dev_calendar/src/const/init_screen.dart';
import 'package:flutter/material.dart';

extension WeekDay on int {
  String get week {
    switch (this) {
      case 0:
        return "Sun";
      case 1:
        return "Mon";
      case 2:
        return "Tue";
      case 3:
        return "Wed";
      case 4:
        return "Thu";
      case 5:
        return "Fri";
      case 6:
        return "Sat";
        break;
      default:
        throw "INVALID WEEK";
    }
  }
}

extension Month on int {
  String get month {
    switch (this) {
      case 1:
        return "Jan";
      case 2:
        return "Feb";
      case 3:
        return "Mar";
      case 4:
        return "Apr";
      case 5:
        return "May";
      case 6:
        return "June";
      case 7:
        return "July";
      case 8:
        return "Aug";
      case 9:
        return "Sept";
      case 10:
        return "Oct";
      case 11:
        return "Nov";
      case 12:
        return "Dec";

        break;
      default:
        throw "INVALID MONTH";
    }
  }
}

extension FullMonth on int {
  String get fullMonthName {
    switch (this) {
      case 1:
        return "JANUARY";
      case 2:
        return "FEBRUARY";
      case 3:
        return "MARCH";
      case 4:
        return "APRIL";
      case 5:
        return "MAY";
      case 6:
        return "JUNE";
      case 7:
        return "JULY";
      case 8:
        return "AUGUST";
      case 9:
        return "SEPTEMBER";
      case 10:
        return "OCTOBER";
      case 11:
        return "NOVEMBER";
      case 12:
        return "DECEMBER";

        break;
      default:
        throw "INVALID MONTH";
    }
  }
}

class InitScreen {
  InitScreen(BuildContext context, Size designSize) {
    ScreenUtil.init(
        BoxConstraints(
          maxWidth: MediaQuery.of(context).size.width,
          maxHeight: MediaQuery.of(context).size.height,
        ),
        designSize: designSize,
        context: context,
        minTextAdapt: true,
        orientation: Orientation.portrait);
  }
}
