import 'package:flutter/material.dart';

class RoundCornerCard extends StatelessWidget {
  /// Provide `bluRad`, `spreadRad`, `opacity` when box `shadow`
  /// is [true].
  ///  if boxShadow is not required make sure `shadow: false`
  RoundCornerCard(
      {Key? key,
      required this.width,
      this.height,
      required this.borderRadius,
      this.child,
      this.color,
      this.opacity,
      this.bluRad,
      this.spreadRad,
      required this.shadow})
      : super(key: key);
  double width;
  double? height;
  double borderRadius;
  Widget? child;
  bool shadow;
  Color? color;
  double? opacity;
  double? bluRad;
  double? spreadRad;
  @override
  Widget build(BuildContext context) {
    return Container(
      width: width,
      height: height,
      decoration: BoxDecoration(
          color: color,
          borderRadius: BorderRadius.circular(borderRadius),
          boxShadow: [
            shadow
                ? BoxShadow(
                    color: Colors.black.withOpacity(shadow ? opacity! : 0.1),
                    offset: const Offset(-1.0, 2.0),
                    blurRadius: shadow ? bluRad! : 10.0,
                    spreadRadius: shadow ? spreadRad! : 2)
                : BoxShadow(
                    color:
                        const Color.fromARGB(255, 255, 255, 255).withOpacity(0),
                    offset: const Offset(0, 0),
                    blurRadius: 0,
                    spreadRadius: 0)
          ]),
      child: child,
    );
  }
}
